Subject: Re: wishlist: make it possible to amend commit messages after push to remote

From: Jarkko Hietaniemi <[email-masked]>
Date: Fri, 07 Aug 2015 13:10:23 -0400

On Friday-201508-07 12:59, Junio C Hamano wrote:
> You need to learn to consider the act of publishing as casting
your work in stone to give other people solid foundation to build
on.
> ...
> If you really "get" it, you wouldn't be complaining about the
> "impossibility" part;-)

I wasn't suggesting taking away the original SHA.

But to be honest, I wasn't expecting a miracle cure.  I guess the core
of my gripe is just that: how the commit message is part of the SHA.
But that's part of the SHA and genome of git.  In other words:
"sorry dude, you are out of luck".